<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAgendasTable extends Migration
{
    public function up(): void
    {
        Schema::create('agendas', function (Blueprint $table): void {
            $table->increments('id');
            $table->unsignedInteger('event_id');
            $table->date('date');
            $table->timestamps();

            $table->index('event_id');
            $table->index('date');
        });
    }
}
