<?php

namespace EventPortal\Tests\Support\Traits;

use EventPortal\Domain\Delegate\Models\Delegate;

trait InteractsWithDelegateAuthentication
{
    public function actingAsDelegate(?Delegate $delegate = null, $driver = null)
    {
        if ($delegate === null) {
            $delegate = factory(Delegate::class)->create();
        }

        return $this->be($delegate->user, $driver);
    }
}
